## ros-one-resource-retriever 1.12.10-0jammy.20250531.2103

=== debian/changelog ===
ros-one-resource-retriever (1.12.10-0jammy.20250531.2103) UNRELEASED; urgency=high

  * jammy Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 31 May 2025 21:03:16 +0000

ros-one-resource-retriever (1.12.10-0jammy) jammy; urgency=high

  * fix build if no gtest is installed (#77 <https://github.com/ros/resource_retriever/issues/77>)
  * Contributors: Daniel Reuter

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 26 Apr 2025 00:00:00 -0000

ros-one-resource-retriever (1.12.9-0jammy) jammy; urgency=high

  * use CURL::libcurl instead of ${CURL_LIBRARIES} in cmakelists.txt (#102 <https://github.com/ros/resource_retriever/issues/102>)
  * change to setuptools in accordance with migration guide (#83 <https://github.com/ros/resource_retriever/issues/83>)
  * Contributors: Arne Hitzmann, Lucas Walter

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-resource-retriever (1.12.8-0jammy) jammy; urgency=high

  * Allow spaces (#85 <https://github.com/ros/resource_retriever/issues/85>)
  * Drop old C++ standard (#73 <https://github.com/ros/resource_retriever/issues/73>)
  * On Windows install .dll libraries in <prefix>/bin (#91 <https://github.com/ros/resource_retriever/issues/91>)
  * Make importing the library fast (#87 <https://github.com/ros/resource_retriever/issues/87>)
  * Contributors: Jochen Sprickerhof, Silvio Traversaro, Simon Schmeisser, Yuki Furuta

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 13 Feb 2025 00:00:00 -0000

ros-one-resource-retriever (1.12.7-0jammy) jammy; urgency=high

  * Split curl dependency to avoid dev package at runtime (#67 <https://github.com/ros/resource_retriever/issues/67>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 06 Dec 2021 00:00:00 -0000

ros-one-resource-retriever (1.12.6-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#37 <https://github.com/ros/resource_retriever/issues/37>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 14 Feb 2020 00:00:00 -0000

ros-one-resource-retriever (1.12.5-0jammy) jammy; urgency=high

  * Update the exec_depend keys for Python 3. (#29 <https://github.com/ros/resource_retriever/issues/29>)
  * point to the ros/resource_retriever repository (#28 <https://github.com/ros/resource_retriever/issues/28>)
  * append trailing zero to memory buffer, to allow safe use as char* (#27 <https://github.com/ros/resource_retriever/issues/27>)
  * Contributors: Chris Lalancette, Mikael Arguedas, Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 11 Sep 2019 00:00:00 -0000

ros-one-resource-retriever (1.12.4-0jammy) jammy; urgency=high

  * Fix an intermittent test failure.
    Both the C++ and python tests were using test/large_file.dat,
    which means if they were run concurrently, they would sometimes
    collide.  Avoid this by having them use different filenames.
  * Cleanup resource_retriever packaging.
    In particular, make sure that resource_retriever properly
    depends on all of the things it needs.  While we are in here,
    switch over to package xml version 2.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-resource-retriever (1.12.3-0jammy) jammy; urgency=high

  * Fix C++11 to use set_directory_properties
  * Make Shane and Chris the maintainers.
  * Python3 compatibility (#10 <https://github.com/ros/resource_retriever/issues/10>)
    * Replace urlgrabber with urllib[2]
    As urlgrabber is not supported for Python 3 replace it with either the built-in urllib (Python 2) or urllib2 (Python 3)
    * Use rospkg instead of system call for rospack
    * Add test for python functionality
    * Fix rospkg dependency definition
  * Update URL in http test to something which exists (#8 <https://github.com/ros/resource_retriever/issues/8>)
    * Update URL in http test to something which exists
  * Contributors: Chris Lalancette, Mike Purvis, Ruben Smits

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-one-resource-retriever (1.12.2-0jammy) jammy; urgency=high

  * fix failing build due to cmake error (#6 <https://github.com/ros/resource_retriever/issues/6>)
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-one-resource-retriever (1.12.1-0jammy) jammy; urgency=high

  * Fix warnings in test (#5 <https://github.com/ros/resource_retriever/issues/5>)
    add spaces around ROS_PACKAGE_NAME
  * Merge pull request #4 <https://github.com/ros/resource_retriever/issues/4> from DLu/kinetic-devel
    Add c++11 flag
  * Contributors: David V. Lu!!, Jackie Kay, Steven Peters

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-one-resource-retriever (1.12.0-0jammy) jammy; urgency=high

  * resource_retriever: adding missing dep
    Using the python resource_retriever requires the python-urlgrabber system dependency: http://rosindex.github.io/d/python-urlgrabber/
  * Contributors: Jonathan Bohren

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 23 Mar 2016 00:00:00 -0000

ros-one-resource-retriever (1.11.6-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-one-resource-retriever (1.11.5-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-one-resource-retriever (1.11.4-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-one-resource-retriever (1.11.3-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-one-resource-retriever (1.11.2-0jammy) jammy; urgency=high




